gamin (0.1.10-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:37:48 +0800

gamin (0.1.10-5) unstable; urgency=medium

  * Acknowledge NMU, thanks Yaroslav Halchenko.
  * Move from obsolete pysupport to dh_python2. (Closes: #786310)
  * Drop long-obsolete Conflicts/Replaces.
  * Drop 90_autoreconf.patch in favor of dh-autoreconf.

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Aug 2015 18:36:55 +0200

gamin (0.1.10-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add 18_gam_server_deadlocks.patch: removes locking from ih_sub_cancel()
    to resolve intermittent deadlocks (Closes: #542361)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Jul 2012 22:03:23 -0400

gamin (0.1.10-4) unstable; urgency=low

  * Add 17_deprecated_const_return.patch: Don't use deprecated G_CONST_RETURN.
    Fixes building with newer glib versions.
  * debian/libgamin0.shlibs: Add alternative libgamin0 dependency for libfam0,
    as gamin is a tad less deprecated than fam, and a drop-in replacement.

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Oct 2011 16:19:06 +0200

gamin (0.1.10-3) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    - Switch to CDBS' python-autotools.mk.
  * debian/patches/01_python_detection.patch:
    - Fix python detection.
  * debian/patches/16_armel-gnueabi.patch,
    debian/patches/90_autoreconf.patch:
    - Refreshed.
  * debian/rules,
    debian/control.in,
    debian/patches/series,
    debian/source/format:
    - Switch to quilt and source format 3.0 (quilt).

  [ Michael Banck ]
  * debian/patches/15_kfreebsd.patch: Remove condition for __GNU__, thanks to
    Svante Signell (Closes: #637019).

 -- Michael Banck <mbanck@debian.org>  Fri, 02 Sep 2011 01:01:06 +0200

gamin (0.1.10-2) unstable; urgency=low

  * debian/watch: don't uupdate.
  * debian/patches/16_armel-gnueabi.patch:
    - Don't patch configure here.
  * debian/patches/90_autoreconf.patch:
    - Run autoreconf here, so that it's not done (wrongly) during
      the build if autofoo are installed, causing the build to fail.
      Closes: #529801.
  * Standards-Version is 3.8.3, no changes needed.
  * gamin inherits the section from the source stanza.
  * Patches forwarded, add headers to them.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 28 Aug 2009 19:05:31 +0200

gamin (0.1.10-1) unstable; urgency=low

  [ Loic Minier ]
  * Use Xfce rather than XFCE in description.

  [ Sebastian Dröge ]
  * New upstream release (Closes: #512414):
    + Fixes build with glibc 2.8 (Closes: #505872).
    + Fixes ABI compatibility with SGI FAM (Closes: #407311, #512415).
  * debian/control.in:
    + Update Standards-Version to 3.8.1.
    + Wrap control fields.
  * debian/patches/16_armel-gnueabi.patch:
    + Fix detection of Linux on armel (Closes: #459936).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 26 Mar 2009 09:59:30 +0100

gamin (0.1.9-2) unstable; urgency=low

  * debian/patches/15_kfreebsd.patch: New patch, fixes FTBFS on
    kfreebsd. (Closes: #434141, #342540)

 -- Michael Banck <mbanck@debian.org>  Sun, 07 Oct 2007 14:08:13 +0200

gamin (0.1.9-1) unstable; urgency=low

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.

  [ Michael Banck ]
  * debian/patches/10_conditional-st-mtim-usage.patch: Removed, applied
    upstream.
  * New upstream release. (Closes: #438825)

  [ Kilian Krause ]
  * Use binary:version and source:Version for binNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly

  [ Sebastian Dröge ]
  * Upload to unstable.
  * debian/patches/11_kfreebsd-glibc.patch,
    debian/patches/13_hurd.patch,
    debian/patches/14_nfs-fix.patch:
    + Dropped, merged upstream.
  * debian/control.in:
    + Build depend on autotools-dev.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 05 Oct 2007 13:17:35 +0200

gamin (0.1.8-2) unstable; urgency=high

  * debian/control: Improve long description. (Closes: #405347)
  * debian/patches/14_nfs-fix.patch: Fix gam_server startup for Thunar.
    Thanks to Maximiliano Curia. (Closes: #403247)

 -- Michael Banck <mbanck@debian.org>  Fri, 23 Mar 2007 14:43:49 +0100

gamin (0.1.8-1) unstable; urgency=low

  * New upstream release. (Closes: #400160)
    + Features a new inotify backend. (Closes: #338438, #348346, #350137)
  * debian/patches/03_force_localinotfy_header.patch: Removed, applied
    upstream.
  * debian/patches/12_fix-out-of-tree-builds.patch: Likewise.
  * debian/patches/11_kfreebsd-glibc.patch: Fixed patch, by Petr
    Salinger. (Closes: #342540)
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Added, disabling kqueue.
    Thanks to Petr Salinger.
  * debian/patches/13_hurd.patch: Fix build failure on GNU/Hurd due
    to PTHREAD_MUTEX_RECURSIVE_NP being undefined.

 -- Michael Banck <mbanck@debian.org>  Wed, 29 Nov 2006 16:14:17 +0100

gamin (0.1.7-4) unstable; urgency=low

  * New patch, 11_kfreebsd-glibc, fixed FTBFS on GNU/kFreeBSD; thanks Petr
    Salinger. (Closes: #342540)
  * Add ${misc:Depends}.
  * Bump up Standards-Version to 3.7.2.
  * New patch, 12_fix-out-of-tree-builds, to fix out of tree builds which
    failed at the installation of gamin.py.
  * Convert to new Python policy. (Closes: #380804)
    - Rename python2.3-gamin to python-gamin.
    - Conflict / Replace with python2.3-gamin.
    - Bump up debhelper build-dep to 5.0.37.2.
    - Set Python compatibility level to 2.
    - Add XB-Python-Version to python-gamin.
    - Build-Depend on python-all-dev (>= 2.3.5-11) and drop the python-dev
      build-dep.
    - Add a python-support (>= 0.3) build-dep.
    - Call dh_pysupport.
    - Add a debian/pyversions with "2.1-".
    - Move dh_python to binary-install/python-gamin.
    - Add a ${python:Provides} provide to python-gamin.
    - Now provides a python2.4-gamin. (Closes: #348227)
    - Build-depend on python.
  * Update package descriptions.
  * Set Maintainer to Michael Banck.
  * Bump Debhelper compatibility level to 5.
  * Fix executable bit on gamin.py.

 -- Loic Minier <lool@dooz.org>  Thu, 10 Aug 2006 18:15:07 +0200

gamin (0.1.7-3) unstable; urgency=low

  * libgamin0.shlibs: generate a dependency on libfam0, not libgamin0.

 -- Josselin Mouette <joss@debian.org>  Fri, 13 Jan 2006 10:33:59 +0100

gamin (0.1.7-2) unstable; urgency=high

  * Add a patch from the upstream BTS to solve FTBFS on mips/mipsel where
    struct stat doesn't have st_mtim.
    [debian/patches/10_conditional-st-mtim-usage.patch]
  * Add a full license block to copyright. [debian/copyright]
  * Add CDBS' utils.

 -- Loic Minier <lool@dooz.org>  Sat,  5 Nov 2005 10:48:02 +0100

gamin (0.1.7-1) unstable; urgency=low

  * New upstream release 
  * debian/patches/01_gamin_buserror.patch:
    + Removed. Fixed upstream
  * debian/patches/02_gam_subscription_doublefree.patch
    + Removed. Fixed upstream

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 28 Oct 2005 11:44:12 +0200

gamin (0.1.6-1) unstable; urgency=low

  [ Sjoerd Simons ]
  * New upstream release (Closes: #330731)
  * Enable inotify backend (Closes: #318859)
  * Install an example config file (Closes: #331456)
  * debian/patches/00_compile_without_inotify.patch
    + Removed, fixed upstream.
  * debian/patches/01_gamin_buserror.patch:
    + Updated. Version from CVS
  * debian/patches/02_gamin_hurd.patch
    + Removed, doesn't apply anymore. Hurd compilation fails again though :(
  * debian/patches/02_gam_subscription_doublefree.patch
    + Added. Double free fix from gamin CVS
  * debian/patches/03_force_localinotfy_header.patch
    + Added. Force use of the inotify headers in the package instead of the
      system kernel header.

  [ Loic Minier ]
  * Add watch file (Closes: #327824). [debian/watch]

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 16 Oct 2005 23:25:47 +0200

gamin (0.1.5-2) unstable; urgency=low

  * debian/patches/01_gamin_buserror.patch:
    + Added. Fixes gam_server bus error on sparc.
  * debian/patches/02_gamin_hurd.patch:
    + Added. Fixes compilation on the hurd.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 26 Aug 2005 20:01:46 +0200

gamin (0.1.5-1) unstable; urgency=low

  * New upstream release
  * debian/patches/00_compile_without_inotify.patch
    + Fix compilation when inotify support is disabled

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 11 Aug 2005 08:01:02 +0200

gamin (0.1.3-1) unstable; urgency=low

  * New upstream release 

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  2 Aug 2005 21:52:43 +0200

gamin (0.1.2-1) unstable; urgency=low

  * New upstream release
  * Also provide and replace libfam0, because of the C++ transition
    (Closes: #318457)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 17 Jul 2005 16:55:02 +0200

gamin (0.1.1-1) unstable; urgency=low

  * New upstream release 
    + Includes native hurd support (Closes: #312369)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 13 Jun 2005 20:58:28 +0200

gamin (0.1.0-1) unstable; urgency=low

  * New upstream release
  * Also Provide/Replace and Conflict with libfam0, just like libfam0c102
    does. (Closes: #311000)
  * Use DEB_CONFIGURE_SCRIPT_ENV += instead of := (Thanks to Michael Bank for
    catching this) (Closes: #312250)
  * debian/patches/01_no_auto_deregister.patch
    + Removed. Can't reproduce the problem anymore with the new upstream
      release.

 -- Sjoerd Simons <sjoerd@debian.org>  Tue,  7 Jun 2005 00:27:11 +0200

gamin (0.0.26-1) unstable; urgency=low

  * Jeff Waugh:
    - New upstream release (Closes: #302063)
    - Include python2.3-gamin (Closes: #297075)
    - Repaired debian/control for glib depends (Closes: #295856)
  * Sjoerd Simons:
    - Updated to be a GNOME Team package.
    - Disable the inotify backend for now.
    - debian/patches/01_no_auto_deregister.patch
      + Never deregister watches automatically (this should be done by clients
        anyway) never let the reference count drop below 0. gam_server misses
        some signals which causes watches to be dropped, this patch works around
        this. (From the ubuntu package) (Closes: #294058)

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 29 Apr 2005 11:02:03 +0200

gamin (0.0.21-1) unstable; urgency=low

  * Built for Debian
    - .pc file no longer contains @MAJOR_VERSION@ (Closes: #277518)
    - gamin conflicts with fam (Closes: #287859)
    - most recent upstream release (Closes: #281213)

 -- Jeff Waugh <jdub@perkypants.org>  Sun, 30 Jan 2005 08:46:56 +1100

gamin (0.0.21-0ubuntu2) hoary; urgency=low

  * debian/patches/01_gamin-inotify-0.18-2.diff,
    debian/patches/02_gamin-inotify-0.18-fix.diff:
    - fixed inotify support
  * debian/control:
    - gamin should conflict with fam

 -- Jeff Waugh <jeff.waugh@ubuntu.com>  Sun, 30 Jan 2005 07:55:57 +1100

gamin (0.0.21-0ubuntu1) hoary; urgency=low

  * New upstream release
    - Revert to dnotify for now, current inotify support is broken

 -- Jeff Waugh <jeff.waugh@ubuntu.com>  Fri, 28 Jan 2005 11:41:54 +1100

gamin (0.0.20-0ubuntu1) hoary; urgency=low

  * New upstream release

 -- Jeff Waugh <jeff.waugh@canonical.com>  Fri,  7 Jan 2005 10:42:14 +1100

gamin (0.0.19-0ubuntu1) hoary; urgency=low

  * New upstream release

 -- Jeff Waugh <jeff.waugh@canonical.com>  Sat,  4 Dec 2004 02:51:55 +1100

gamin (0.0.18-0ubuntu1) hoary; urgency=low

  * New upstream release

 -- Jeff Waugh <jeff.waugh@canonical.com>  Mon, 29 Nov 2004 18:33:59 +1100

gamin (0.0.17-1ubuntu1) hoary; urgency=low

  * New upstream release

 -- Jeff Waugh <jeff.waugh@canonical.com>  Tue, 16 Nov 2004 20:32:32 +1100

gamin (0.0.16-1ubuntu1) hoary; urgency=low

  * New upstream release
  * debian/control:
    - Recommends: gamin

 -- Jeff Waugh <jeff.waugh@canonical.com>  Mon, 25 Oct 2004 16:01:15 +1000

gamin (0.0.14-1ubuntu1) warty; urgency=low

  * Built for Ubuntu!

 -- Jeff Waugh <jeff.waugh@canonical.com>  Tue,  5 Oct 2004 10:26:51 +1000

gamin (0.0.14-1) unstable; urgency=low

  * New upstream release

 -- Jeff Waugh <jdub@perkypants.org>  Mon,  4 Oct 2004 21:41:51 +1000

gamin (0.0.12-1) unstable; urgency=low

  * New upstream release (Closes: #259872).

 -- Jeff Waugh <jdub@perkypants.org>  Fri, 01 Oct 2004 08:58:49 +1000

